aboutsummaryrefslogtreecommitdiff
path: root/dev-python/zope-copy
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/zope-copy')
-rw-r--r--dev-python/zope-copy/zope-copy-4.3.ebuild9
1 files changed, 5 insertions, 4 deletions
diff --git a/dev-python/zope-copy/zope-copy-4.3.ebuild b/dev-python/zope-copy/zope-copy-4.3.ebuild
index e42cfee..261b1d4 100644
--- a/dev-python/zope-copy/zope-copy-4.3.ebuild
+++ b/dev-python/zope-copy/zope-copy-4.3.ebuild
@@ -30,7 +30,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -43,7 +43,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/copy" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}